<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/Buffer.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Buffer.hh Details</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/Buffer.hh</h1><div><a href="../../Source/Synopsis/Buffer.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><p>No includes.</p>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html" >Buffer</a>
<div class="doc"><p>Buffer holds the memory on top of which a parse tree / syntax tree is
constructed.</p>
</div></div>

</div>
<div><h3>Data members in Synopsis::Buffer::Replacement</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#begin" >begin</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#from" >from</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#length" >length</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#to" >to</a>
<div class="doc"></div></div>

</div>
<div><h3>Data members in Synopsis::Buffer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#my_buffer" >my_buffer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#my_cursor" >my_cursor</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#my_filename" >my_filename</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#my_replacements" >my_replacements</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Buffer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#Buffer_lstd_mstreambuf_S_cconst.std_mstring_A_r" >Buffer&#40;std::streambuf*&#44;const&#160;std::string&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Buffer::Replacement</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer/Replacement.html#smaller_lconst.Replacement_A_cconst.Replacement_A_r" >smaller&#40;const&#160;Replacement&amp;&#44;const&#160;Replacement&amp;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Buffer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#origin_lconst.char_S_cstd_mstring_A_rconst" >origin&#40;const&#160;char*&#44;std::string&amp;&#41;const</a>
<div class="doc"><p>Return the origin of the given pointer (filename and line number)</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#read_line_directive_lunsigned.long_clong_cunsigned.long_A_cunsigned.long_A_rconst" >read_line_directive&#40;unsigned&#160;long&#44;long&#44;unsigned&#160;long&amp;&#44;unsigned&#160;long&amp;&#41;const</a>
<div class="doc"><p>read a line directive starting at position pos, and return
the line number found.</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#replace_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" >replace&#40;const&#160;char*&#44;const&#160;char*&#44;const&#160;char*&#44;unsigned&#160;long&#41;</a>
<div class="doc"><p>replace the text between from and to by the text between
begin and begin + length</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#reset_lunsigned.long_r" >reset&#40;unsigned&#160;long&#41;</a>
<div class="doc"><p>reset the current position to position c</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#size_l_rconst" >size&#40;&#41;const</a>
<div class="doc"><p>return the size of the buffer</p>
</div></div>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#write_lstd_mostream_A_cconst.std_mstring_A_rconst" >write&#40;std::ostream&amp;&#44;const&#160;std::string&amp;&#41;const</a>
<div class="doc"><p>Write the buffer into the given output stream
The first line contains a line directive issuing the input file name;
if filename is non-empty, use this to fake another one.</p>
</div></div>

</div>
<div><h3>Namespaces</h3>
<div class="item"><a href="../../Scopes/Synopsis.html" >Synopsis</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis::Buffer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer/Replacement.html" >Replacement</a>
<div class="doc"></div></div>

</div>
<div><h3>Typedefs in Synopsis::Buffer</h3>
<div class="item"><a href="../../Scopes/Synopsis/Buffer.html#Replacements" >Replacements</a>
<div class="doc"></div></div>
</div>

</body>
</html>
